Program to generate an xml file based on a provided text file
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

Makefile.in 24KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764
  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. subdir = .
  85. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  86. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  90. $(am__configure_deps) $(am__DIST_COMMON)
  91. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  92. configure.lineno config.status.lineno
  93. mkinstalldirs = $(install_sh) -d
  94. CONFIG_CLEAN_FILES =
  95. CONFIG_CLEAN_VPATH_FILES =
  96. AM_V_P = $(am__v_P_@AM_V@)
  97. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  98. am__v_P_0 = false
  99. am__v_P_1 = :
  100. AM_V_GEN = $(am__v_GEN_@AM_V@)
  101. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  102. am__v_GEN_0 = @echo " GEN " $@;
  103. am__v_GEN_1 =
  104. AM_V_at = $(am__v_at_@AM_V@)
  105. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  106. am__v_at_0 = @
  107. am__v_at_1 =
  108. SOURCES =
  109. DIST_SOURCES =
  110. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  111. ctags-recursive dvi-recursive html-recursive info-recursive \
  112. install-data-recursive install-dvi-recursive \
  113. install-exec-recursive install-html-recursive \
  114. install-info-recursive install-pdf-recursive \
  115. install-ps-recursive install-recursive installcheck-recursive \
  116. installdirs-recursive pdf-recursive ps-recursive \
  117. tags-recursive uninstall-recursive
  118. am__can_run_installinfo = \
  119. case $$AM_UPDATE_INFO_DIR in \
  120. n|no|NO) false;; \
  121. *) (install-info --version) >/dev/null 2>&1;; \
  122. esac
  123. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  124. distclean-recursive maintainer-clean-recursive
  125. am__recursive_targets = \
  126. $(RECURSIVE_TARGETS) \
  127. $(RECURSIVE_CLEAN_TARGETS) \
  128. $(am__extra_recursive_targets)
  129. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  130. cscope distdir dist dist-all distcheck
  131. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  132. # Read a list of newline-separated strings from the standard input,
  133. # and print each of them once, without duplicates. Input order is
  134. # *not* preserved.
  135. am__uniquify_input = $(AWK) '\
  136. BEGIN { nonempty = 0; } \
  137. { items[$$0] = 1; nonempty = 1; } \
  138. END { if (nonempty) { for (i in items) print i; }; } \
  139. '
  140. # Make sure the list of sources is unique. This is necessary because,
  141. # e.g., the same source file might be shared among _SOURCES variables
  142. # for different programs/libraries.
  143. am__define_uniq_tagged_files = \
  144. list='$(am__tagged_files)'; \
  145. unique=`for i in $$list; do \
  146. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  147. done | $(am__uniquify_input)`
  148. ETAGS = etags
  149. CTAGS = ctags
  150. CSCOPE = cscope
  151. DIST_SUBDIRS = $(SUBDIRS)
  152. am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS ChangeLog NEWS README \
  153. compile depcomp install-sh missing
  154. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  155. distdir = $(PACKAGE)-$(VERSION)
  156. top_distdir = $(distdir)
  157. am__remove_distdir = \
  158. if test -d "$(distdir)"; then \
  159. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  160. && rm -rf "$(distdir)" \
  161. || { sleep 5 && rm -rf "$(distdir)"; }; \
  162. else :; fi
  163. am__post_remove_distdir = $(am__remove_distdir)
  164. am__relativize = \
  165. dir0=`pwd`; \
  166. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  167. sed_rest='s,^[^/]*/*,,'; \
  168. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  169. sed_butlast='s,/*[^/]*$$,,'; \
  170. while test -n "$$dir1"; do \
  171. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  172. if test "$$first" != "."; then \
  173. if test "$$first" = ".."; then \
  174. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  175. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  176. else \
  177. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  178. if test "$$first2" = "$$first"; then \
  179. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  180. else \
  181. dir2="../$$dir2"; \
  182. fi; \
  183. dir0="$$dir0"/"$$first"; \
  184. fi; \
  185. fi; \
  186. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  187. done; \
  188. reldir="$$dir2"
  189. DIST_ARCHIVES = $(distdir).tar.gz
  190. GZIP_ENV = --best
  191. DIST_TARGETS = dist-gzip
  192. distuninstallcheck_listfiles = find . -type f -print
  193. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  194. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  195. distcleancheck_listfiles = find . -type f -print
  196. ACLOCAL = @ACLOCAL@
  197. AMTAR = @AMTAR@
  198. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  199. AUTOCONF = @AUTOCONF@
  200. AUTOHEADER = @AUTOHEADER@
  201. AUTOMAKE = @AUTOMAKE@
  202. AWK = @AWK@
  203. CC = @CC@
  204. CCDEPMODE = @CCDEPMODE@
  205. CFLAGS = @CFLAGS@
  206. CPPFLAGS = @CPPFLAGS@
  207. CYGPATH_W = @CYGPATH_W@
  208. DEFS = @DEFS@
  209. DEPDIR = @DEPDIR@
  210. ECHO_C = @ECHO_C@
  211. ECHO_N = @ECHO_N@
  212. ECHO_T = @ECHO_T@
  213. EXEEXT = @EXEEXT@
  214. INSTALL = @INSTALL@
  215. INSTALL_DATA = @INSTALL_DATA@
  216. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  217. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  218. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  219. LDFLAGS = @LDFLAGS@
  220. LIBOBJS = @LIBOBJS@
  221. LIBS = @LIBS@
  222. LTLIBOBJS = @LTLIBOBJS@
  223. M4 = @M4@
  224. MAKEINFO = @MAKEINFO@
  225. MKDIR_P = @MKDIR_P@
  226. OBJEXT = @OBJEXT@
  227. PACKAGE = @PACKAGE@
  228. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  229. PACKAGE_NAME = @PACKAGE_NAME@
  230. PACKAGE_STRING = @PACKAGE_STRING@
  231. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  232. PACKAGE_URL = @PACKAGE_URL@
  233. PACKAGE_VERSION = @PACKAGE_VERSION@
  234. PATH_SEPARATOR = @PATH_SEPARATOR@
  235. PKG_CONFIG = @PKG_CONFIG@
  236. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  237. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  238. SET_MAKE = @SET_MAKE@
  239. SHELL = @SHELL@
  240. STRIP = @STRIP@
  241. VERSION = @VERSION@
  242. XML2_CONFIG = @XML2_CONFIG@
  243. XML_CPPFLAGS = @XML_CPPFLAGS@
  244. XML_LIBS = @XML_LIBS@
  245. abs_builddir = @abs_builddir@
  246. abs_srcdir = @abs_srcdir@
  247. abs_top_builddir = @abs_top_builddir@
  248. abs_top_srcdir = @abs_top_srcdir@
  249. ac_ct_CC = @ac_ct_CC@
  250. am__include = @am__include@
  251. am__leading_dot = @am__leading_dot@
  252. am__quote = @am__quote@
  253. am__tar = @am__tar@
  254. am__untar = @am__untar@
  255. bindir = @bindir@
  256. build_alias = @build_alias@
  257. builddir = @builddir@
  258. datadir = @datadir@
  259. datarootdir = @datarootdir@
  260. docdir = @docdir@
  261. dvidir = @dvidir@
  262. exec_prefix = @exec_prefix@
  263. host_alias = @host_alias@
  264. htmldir = @htmldir@
  265. includedir = @includedir@
  266. infodir = @infodir@
  267. install_sh = @install_sh@
  268. libdir = @libdir@
  269. libexecdir = @libexecdir@
  270. libxml2_CFLAGS = @libxml2_CFLAGS@
  271. libxml2_LIBS = @libxml2_LIBS@
  272. localedir = @localedir@
  273. localstatedir = @localstatedir@
  274. mandir = @mandir@
  275. mkdir_p = @mkdir_p@
  276. oldincludedir = @oldincludedir@
  277. pdfdir = @pdfdir@
  278. prefix = @prefix@
  279. program_transform_name = @program_transform_name@
  280. psdir = @psdir@
  281. sbindir = @sbindir@
  282. sharedstatedir = @sharedstatedir@
  283. srcdir = @srcdir@
  284. sysconfdir = @sysconfdir@
  285. target_alias = @target_alias@
  286. top_build_prefix = @top_build_prefix@
  287. top_builddir = @top_builddir@
  288. top_srcdir = @top_srcdir@
  289. ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
  290. SUBDIRS = src
  291. EXTRA_DIST = misc/Biblia.txt \
  292. misc/Informe.pdf \
  293. misc/config.dtd \
  294. misc/generarxml.dtd \
  295. misc/chris.conf \
  296. misc/carlos.conf \
  297. misc/enzo.conf \
  298. misc/erwin.conf \
  299. misc/martin.conf \
  300. misc/pablo.conf \
  301. misc/paula.conf
  302. all: all-recursive
  303. .SUFFIXES:
  304. am--refresh: Makefile
  305. @:
  306. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  307. @for dep in $?; do \
  308. case '$(am__configure_deps)' in \
  309. *$$dep*) \
  310. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  311. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  312. && exit 0; \
  313. exit 1;; \
  314. esac; \
  315. done; \
  316. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  317. $(am__cd) $(top_srcdir) && \
  318. $(AUTOMAKE) --foreign Makefile
  319. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  320. @case '$?' in \
  321. *config.status*) \
  322. echo ' $(SHELL) ./config.status'; \
  323. $(SHELL) ./config.status;; \
  324. *) \
  325. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  326. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  327. esac;
  328. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  329. $(SHELL) ./config.status --recheck
  330. $(top_srcdir)/configure: $(am__configure_deps)
  331. $(am__cd) $(srcdir) && $(AUTOCONF)
  332. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  333. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  334. $(am__aclocal_m4_deps):
  335. # This directory's subdirectories are mostly independent; you can cd
  336. # into them and run 'make' without going through this Makefile.
  337. # To change the values of 'make' variables: instead of editing Makefiles,
  338. # (1) if the variable is set in 'config.status', edit 'config.status'
  339. # (which will cause the Makefiles to be regenerated when you run 'make');
  340. # (2) otherwise, pass the desired values on the 'make' command line.
  341. $(am__recursive_targets):
  342. @fail=; \
  343. if $(am__make_keepgoing); then \
  344. failcom='fail=yes'; \
  345. else \
  346. failcom='exit 1'; \
  347. fi; \
  348. dot_seen=no; \
  349. target=`echo $@ | sed s/-recursive//`; \
  350. case "$@" in \
  351. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  352. *) list='$(SUBDIRS)' ;; \
  353. esac; \
  354. for subdir in $$list; do \
  355. echo "Making $$target in $$subdir"; \
  356. if test "$$subdir" = "."; then \
  357. dot_seen=yes; \
  358. local_target="$$target-am"; \
  359. else \
  360. local_target="$$target"; \
  361. fi; \
  362. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  363. || eval $$failcom; \
  364. done; \
  365. if test "$$dot_seen" = "no"; then \
  366. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  367. fi; test -z "$$fail"
  368. ID: $(am__tagged_files)
  369. $(am__define_uniq_tagged_files); mkid -fID $$unique
  370. tags: tags-recursive
  371. TAGS: tags
  372. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  373. set x; \
  374. here=`pwd`; \
  375. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  376. include_option=--etags-include; \
  377. empty_fix=.; \
  378. else \
  379. include_option=--include; \
  380. empty_fix=; \
  381. fi; \
  382. list='$(SUBDIRS)'; for subdir in $$list; do \
  383. if test "$$subdir" = .; then :; else \
  384. test ! -f $$subdir/TAGS || \
  385. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  386. fi; \
  387. done; \
  388. $(am__define_uniq_tagged_files); \
  389. shift; \
  390. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  391. test -n "$$unique" || unique=$$empty_fix; \
  392. if test $$# -gt 0; then \
  393. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  394. "$$@" $$unique; \
  395. else \
  396. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  397. $$unique; \
  398. fi; \
  399. fi
  400. ctags: ctags-recursive
  401. CTAGS: ctags
  402. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  403. $(am__define_uniq_tagged_files); \
  404. test -z "$(CTAGS_ARGS)$$unique" \
  405. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  406. $$unique
  407. GTAGS:
  408. here=`$(am__cd) $(top_builddir) && pwd` \
  409. && $(am__cd) $(top_srcdir) \
  410. && gtags -i $(GTAGS_ARGS) "$$here"
  411. cscope: cscope.files
  412. test ! -s cscope.files \
  413. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  414. clean-cscope:
  415. -rm -f cscope.files
  416. cscope.files: clean-cscope cscopelist
  417. cscopelist: cscopelist-recursive
  418. cscopelist-am: $(am__tagged_files)
  419. list='$(am__tagged_files)'; \
  420. case "$(srcdir)" in \
  421. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  422. *) sdir=$(subdir)/$(srcdir) ;; \
  423. esac; \
  424. for i in $$list; do \
  425. if test -f "$$i"; then \
  426. echo "$(subdir)/$$i"; \
  427. else \
  428. echo "$$sdir/$$i"; \
  429. fi; \
  430. done >> $(top_builddir)/cscope.files
  431. distclean-tags:
  432. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  433. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  434. distdir: $(DISTFILES)
  435. $(am__remove_distdir)
  436. test -d "$(distdir)" || mkdir "$(distdir)"
  437. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  438. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  439. list='$(DISTFILES)'; \
  440. dist_files=`for file in $$list; do echo $$file; done | \
  441. sed -e "s|^$$srcdirstrip/||;t" \
  442. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  443. case $$dist_files in \
  444. */*) $(MKDIR_P) `echo "$$dist_files" | \
  445. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  446. sort -u` ;; \
  447. esac; \
  448. for file in $$dist_files; do \
  449. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  450. if test -d $$d/$$file; then \
  451. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  452. if test -d "$(distdir)/$$file"; then \
  453. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  454. fi; \
  455. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  456. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  457. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  458. fi; \
  459. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  460. else \
  461. test -f "$(distdir)/$$file" \
  462. || cp -p $$d/$$file "$(distdir)/$$file" \
  463. || exit 1; \
  464. fi; \
  465. done
  466. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  467. if test "$$subdir" = .; then :; else \
  468. $(am__make_dryrun) \
  469. || test -d "$(distdir)/$$subdir" \
  470. || $(MKDIR_P) "$(distdir)/$$subdir" \
  471. || exit 1; \
  472. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  473. $(am__relativize); \
  474. new_distdir=$$reldir; \
  475. dir1=$$subdir; dir2="$(top_distdir)"; \
  476. $(am__relativize); \
  477. new_top_distdir=$$reldir; \
  478. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  479. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  480. ($(am__cd) $$subdir && \
  481. $(MAKE) $(AM_MAKEFLAGS) \
  482. top_distdir="$$new_top_distdir" \
  483. distdir="$$new_distdir" \
  484. am__remove_distdir=: \
  485. am__skip_length_check=: \
  486. am__skip_mode_fix=: \
  487. distdir) \
  488. || exit 1; \
  489. fi; \
  490. done
  491. -test -n "$(am__skip_mode_fix)" \
  492. || find "$(distdir)" -type d ! -perm -755 \
  493. -exec chmod u+rwx,go+rx {} \; -o \
  494. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  495. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  496. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  497. || chmod -R a+r "$(distdir)"
  498. dist-gzip: distdir
  499. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  500. $(am__post_remove_distdir)
  501. dist-bzip2: distdir
  502. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  503. $(am__post_remove_distdir)
  504. dist-lzip: distdir
  505. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  506. $(am__post_remove_distdir)
  507. dist-xz: distdir
  508. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  509. $(am__post_remove_distdir)
  510. dist-tarZ: distdir
  511. @echo WARNING: "Support for distribution archives compressed with" \
  512. "legacy program 'compress' is deprecated." >&2
  513. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  514. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  515. $(am__post_remove_distdir)
  516. dist-shar: distdir
  517. @echo WARNING: "Support for shar distribution archives is" \
  518. "deprecated." >&2
  519. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  520. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  521. $(am__post_remove_distdir)
  522. dist-zip: distdir
  523. -rm -f $(distdir).zip
  524. zip -rq $(distdir).zip $(distdir)
  525. $(am__post_remove_distdir)
  526. dist dist-all:
  527. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  528. $(am__post_remove_distdir)
  529. # This target untars the dist file and tries a VPATH configuration. Then
  530. # it guarantees that the distribution is self-contained by making another
  531. # tarfile.
  532. distcheck: dist
  533. case '$(DIST_ARCHIVES)' in \
  534. *.tar.gz*) \
  535. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  536. *.tar.bz2*) \
  537. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  538. *.tar.lz*) \
  539. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  540. *.tar.xz*) \
  541. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  542. *.tar.Z*) \
  543. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  544. *.shar.gz*) \
  545. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  546. *.zip*) \
  547. unzip $(distdir).zip ;;\
  548. esac
  549. chmod -R a-w $(distdir)
  550. chmod u+w $(distdir)
  551. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  552. chmod a-w $(distdir)
  553. test -d $(distdir)/_build || exit 0; \
  554. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  555. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  556. && am__cwd=`pwd` \
  557. && $(am__cd) $(distdir)/_build/sub \
  558. && ../../configure \
  559. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  560. $(DISTCHECK_CONFIGURE_FLAGS) \
  561. --srcdir=../.. --prefix="$$dc_install_base" \
  562. && $(MAKE) $(AM_MAKEFLAGS) \
  563. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  564. && $(MAKE) $(AM_MAKEFLAGS) check \
  565. && $(MAKE) $(AM_MAKEFLAGS) install \
  566. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  567. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  568. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  569. distuninstallcheck \
  570. && chmod -R a-w "$$dc_install_base" \
  571. && ({ \
  572. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  573. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  574. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  575. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  576. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  577. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  578. && rm -rf "$$dc_destdir" \
  579. && $(MAKE) $(AM_MAKEFLAGS) dist \
  580. && rm -rf $(DIST_ARCHIVES) \
  581. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  582. && cd "$$am__cwd" \
  583. || exit 1
  584. $(am__post_remove_distdir)
  585. @(echo "$(distdir) archives ready for distribution: "; \
  586. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  587. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  588. distuninstallcheck:
  589. @test -n '$(distuninstallcheck_dir)' || { \
  590. echo 'ERROR: trying to run $@ with an empty' \
  591. '$$(distuninstallcheck_dir)' >&2; \
  592. exit 1; \
  593. }; \
  594. $(am__cd) '$(distuninstallcheck_dir)' || { \
  595. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  596. exit 1; \
  597. }; \
  598. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  599. || { echo "ERROR: files left after uninstall:" ; \
  600. if test -n "$(DESTDIR)"; then \
  601. echo " (check DESTDIR support)"; \
  602. fi ; \
  603. $(distuninstallcheck_listfiles) ; \
  604. exit 1; } >&2
  605. distcleancheck: distclean
  606. @if test '$(srcdir)' = . ; then \
  607. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  608. exit 1 ; \
  609. fi
  610. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  611. || { echo "ERROR: files left in build directory after distclean:" ; \
  612. $(distcleancheck_listfiles) ; \
  613. exit 1; } >&2
  614. check-am: all-am
  615. check: check-recursive
  616. all-am: Makefile
  617. installdirs: installdirs-recursive
  618. installdirs-am:
  619. install: install-recursive
  620. install-exec: install-exec-recursive
  621. install-data: install-data-recursive
  622. uninstall: uninstall-recursive
  623. install-am: all-am
  624. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  625. installcheck: installcheck-recursive
  626. install-strip:
  627. if test -z '$(STRIP)'; then \
  628. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  629. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  630. install; \
  631. else \
  632. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  633. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  634. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  635. fi
  636. mostlyclean-generic:
  637. clean-generic:
  638. distclean-generic:
  639. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  640. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  641. maintainer-clean-generic:
  642. @echo "This command is intended for maintainers to use"
  643. @echo "it deletes files that may require special tools to rebuild."
  644. clean: clean-recursive
  645. clean-am: clean-generic mostlyclean-am
  646. distclean: distclean-recursive
  647. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  648. -rm -f Makefile
  649. distclean-am: clean-am distclean-generic distclean-tags
  650. dvi: dvi-recursive
  651. dvi-am:
  652. html: html-recursive
  653. html-am:
  654. info: info-recursive
  655. info-am:
  656. install-data-am:
  657. install-dvi: install-dvi-recursive
  658. install-dvi-am:
  659. install-exec-am:
  660. install-html: install-html-recursive
  661. install-html-am:
  662. install-info: install-info-recursive
  663. install-info-am:
  664. install-man:
  665. install-pdf: install-pdf-recursive
  666. install-pdf-am:
  667. install-ps: install-ps-recursive
  668. install-ps-am:
  669. installcheck-am:
  670. maintainer-clean: maintainer-clean-recursive
  671. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  672. -rm -rf $(top_srcdir)/autom4te.cache
  673. -rm -f Makefile
  674. maintainer-clean-am: distclean-am maintainer-clean-generic
  675. mostlyclean: mostlyclean-recursive
  676. mostlyclean-am: mostlyclean-generic
  677. pdf: pdf-recursive
  678. pdf-am:
  679. ps: ps-recursive
  680. ps-am:
  681. uninstall-am:
  682. .MAKE: $(am__recursive_targets) install-am install-strip
  683. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  684. am--refresh check check-am clean clean-cscope clean-generic \
  685. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  686. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  687. distcheck distclean distclean-generic distclean-tags \
  688. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  689. html-am info info-am install install-am install-data \
  690. install-data-am install-dvi install-dvi-am install-exec \
  691. install-exec-am install-html install-html-am install-info \
  692. install-info-am install-man install-pdf install-pdf-am \
  693. install-ps install-ps-am install-strip installcheck \
  694. installcheck-am installdirs installdirs-am maintainer-clean \
  695. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  696. pdf-am ps ps-am tags tags-am uninstall uninstall-am
  697. .PRECIOUS: Makefile
  698. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  699. # Otherwise a system limit (for SysV at least) may be exceeded.
  700. .NOEXPORT: